import React, { useState } from 'react';

interface CopyToClipboardProps {
  textToCopy: string;
}

export const CopyToClipboard: React.FC<CopyToClipboardProps> = ({ textToCopy }) => {
  const [copySuccess, setCopySuccess] = useState<string>('Copy as Markdown');
  const [disabled, setDisabled] = useState<boolean>(false);

  const copyToClipboard = () => {
    navigator.clipboard.writeText(textToCopy)
      .then(() => {
        setCopySuccess('Copied to clipboard!');

        setTimeout(() => {
          setCopySuccess('Copy as Markdown');
        }, 2000);
      })
      .catch((err) => {
        console.error('Failed to copy text: ', err);
      });
  };

  return (
    <div>
      <button
        onClick={copyToClipboard}
        className="btn btn-primary mt-3"
        disabled={disabled}>{copySuccess}</button>
    </div>
  );
};